For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrosynthesis Engines

Explore the various engines available for retrosynthesis

Pending AI offers a novel Deep-Learning MCTS Retrosynthesis platform for synthetic planning. An engine provides the underlying architecture and functional procedure used for building complex multi-step synthetic routes. When submitting a query molecule for assessing synthetic accessibility, an engine must be specified using its respective id field. Considerations

  • An engine requires significant computational resources affected by different parameters when completing a Retrosynthesis job. Large screening campaigns are queued onto identical engine instances, potentially leading to longer wait times for screening results. - Engine selection can significantly impact the diversity of the generated synthetic routes. Try different engines to yield varied synthetic routes. See here for more information on our Retrosynthesis capability.

List Engines

get

Retrieve a list of Engine resources using offset-based pagination. See the returned data field for more information about the Engine resources. Use additional metadata and links fields to navigate the paginated resources.

Authorizations
OAuth2authorizationCodeRequired

Pending AI OAuth2 authentication.

Authorization URL: Token URL: Refresh URL:
Query parameters
pageintegerOptional

The page number to retrieve.

limitintegerOptional

The maximum number of items to return per page.

Responses
400

Invalid request parameters

application/json
nullOptional
get/engines
GET /retro/v2/engines HTTP/1.1
Host: api.pending.ai
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Last updated

Was this helpful?